// vc_demoDlg.h : header file
//

#if !defined(AFX_VC_DEMODLG_H__F8561927_22FA_4A7B_A9B1_0E648FF1B9FF__INCLUDED_)
#define AFX_VC_DEMODLG_H__F8561927_22FA_4A7B_A9B1_0E648FF1B9FF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVc_demoDlg dialog

class CVc_demoDlg : public CDialog
{
// Construction
public:
	CVc_demoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVc_demoDlg)
	enum { IDD = IDD_VC_DEMO_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVc_demoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVc_demoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnOpen();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	afx_msg void OnBtnClose();
	afx_msg void OnBtnRead();
	afx_msg void OnBtnWrite();
	afx_msg void OnBtnSet();
	afx_msg void OnBtnReset();	
	afx_msg void OnBtnbitWrite();
	afx_msg void OnBtnbitRead();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VC_DEMODLG_H__F8561927_22FA_4A7B_A9B1_0E648FF1B9FF__INCLUDED_)
